Bug 230830 - [PATCH] net/relayd: Stop using arc4random_stir
Summary: [PATCH] net/relayd: Stop using arc4random_stir
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikola Kolev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-23 04:51 UTC by Xin LI
Modified: 2019-11-30 06:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mm)


Attachments
Proposed patch (1.15 KB, patch)
2018-08-23 04:51 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2018-08-23 04:51:47 UTC
Created attachment 196458 [details]
Proposed patch

arc4random_stir should not be used directly (it's fully automated after r227520, or approximately __FreeBSD_version 1000002), the interface will be removed soon (bug 230756).

Please upstream this patch.
Comment 1 commit-hook freebsd_committer 2018-08-26 08:17:34 UTC
A commit references this bug:

Author: delphij
Date: Sun Aug 26 08:16:51 UTC 2018
New revision: 478106
URL: https://svnweb.freebsd.org/changeset/ports/478106

Log:
  net/relayd: Stop using arc4random_stir

  PR:		230830, 230756
  Approved by:	portmgr (antoine)

Changes:
  head/net/relayd/Makefile
  head/net/relayd/files/patch-relayd_relayd.c
Comment 2 Xin LI freebsd_committer 2018-08-26 08:18:55 UTC
No longer blocking as the patch is applied.  The upstream was maintained by mm@ so keep this open for now.
Comment 3 Martin Matuska freebsd_committer 2019-03-18 22:49:59 UTC
I give up maintaining this port.